How to install ScriptMe Lite on macOS

Here, we tell you about the simple process of installing ScriptMe Lite on your Apple Mac or iMac.

Installation is free; no credit card or email address is required.

Recommended requirements:

  • 1GB free on hard disk
  • Apple Silicon M1, M2, M3*
  • macOS 10.12 Sierra or later.

*Coming soon to Mac devices with Intel processors.

Install ScriptMe Lite on Mac

Download the ScriptMe Lite application for Mac at the following link.

Click the button to start the download and choose the folder to download.

It will start downloading and will be ready in seconds.

Once downloaded, double-click on the icon to start the installation process.

Drag the ScriptMe Lite icon to the Applications folder to start the installation.

You will find the installation in the Applications folder once it is finished. Double-click to open it.

Or in the Launchpad.

You must confirm the following message to open the application and start transcribing.

And that’s it!

You can upload all the files you want to transcribe in a while.

If you still have doubts or problems installing ScriptMe Lite on your Mac, write to us, and we will solve them.

Was this helpful?